#include <iostream>
#include <queue>
#include <thread>
#include <mutex>
#include <cctype>

#include "buffers.hpp"
#include "filters.hpp"

using namespace std;
using namespace filter;

int main() {
    InStream  in(cin);
	InOutQueue buf1;
    OutStream out(cout);

	DeleteWhiteFunctor delWhite(in,buf1);
	CutLineFunctor cutLines(buf1,out,40);


    thread thrd1( delWhite );
	thread thrd2( cutLines );

	if(thrd1.joinable())
		thrd1.join();
	if(thrd2.joinable())
		thrd2.join();
    return 0;
}
